VM (Sigar API)
Date: 2010-04-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar.vmware
Class VM

    java.lang.Object
      org.hyperic.sigar.vmware.VM

    public class VM

extends java.lang.Object

Field Summary
`static java.lang.String` | `ESX`
`static int` | `EXECUTION_STATE_OFF`
`static int` | `EXECUTION_STATE_ON`
`static int` | `EXECUTION_STATE_STUCK`
`static int` | `EXECUTION_STATE_SUSPENDED`
`static int` | `EXECUTION_STATE_UNKNOWN`
`static java.lang.String[]` | `EXECUTION_STATES`
`static java.lang.String` | `GSX`
`static boolean` | `LOADED`
`static int` | `PERM_EXECUTE`
`static int` | `PERM_READ`
`static int` | `PERM_WRITE`
`static int` | `PLATFORM_LINUX`
`static int` | `PLATFORM_UNKNOWN`
`static int` | `PLATFORM_VMNIX`
`static int` | `PLATFORM_WINDOWS`
`static java.lang.String[]` | `PLATFORMS`
`static int` | `POWEROP_MODE_HARD`
`static int` | `POWEROP_MODE_SOFT`
`static int` | `POWEROP_MODE_TRYSOFT`
`static int` | `PRODINFO_BUILD`
`static int` | `PRODINFO_PLATFORM`
`static int` | `PRODINFO_PRODUCT`
`static int` | `PRODINFO_VERSION_MAJOR`
`static int` | `PRODINFO_VERSION_MINOR`
`static int` | `PRODINFO_VERSION_REVISION`
`static int` | `PRODUCT_ESX`
`static int` | `PRODUCT_GSX`
`static int` | `PRODUCT_SERVER`
`static int` | `PRODUCT_UNKNOWN`
`static int` | `PRODUCT_WS`
`static java.lang.String[]` | `PRODUCTS`
`static java.lang.String` | `SERVER`

Constructor Summary
`VM()`

Method Summary
`boolean` | `canExecute()`
`boolean` | `canRead()`
`boolean` | `canWrite()`
`void` | `connect(ConnectParams params, java.lang.String config)`
`void` | `connect(ConnectParams params, java.lang.String config, boolean mks)`
`void` | `createSnapshot(java.lang.String name, java.lang.String description, boolean quiesce, boolean memory)`
`void` | `deviceConnect(java.lang.String device)`
`void` | `deviceDisconnect(java.lang.String device)`
`boolean` | `deviceIsConnected(java.lang.String device)`
`void` | `disconnect()`
`void` | `dispose()`
`protected void` | `finalize()`
`java.lang.String` | `getConfig(java.lang.String key)`
`java.lang.String` | `getDisplayName()`
`int` | `getExecutionState()`
`java.lang.String` | `getFullVersion()`
`java.lang.String` | `getGuestInfo(java.lang.String key)`
`java.lang.String` | `getGuestOS()`
`int` | `getHeartbeat()`
`int` | `getId()`
`java.lang.String` | `getMemSize()`
`int` | `getPermissions()`
`java.lang.String` | `getPermissionsString()`
`long` | `getPid()`
`int` | `getProductInfo(int type)`
`java.lang.String` | `getProductName()`
`java.lang.String` | `getProductPlatform()`
`int` | `getRemoteConnections()`
`java.lang.String` | `getResource(java.lang.String key)`
`java.lang.String` | `getRunAsUser()`
`int` | `getToolsLastActive()`
`int` | `getUptime()`
`java.lang.String` | `getVersion()`
`boolean` | `hasSnapshot()`
`boolean` | `isConnected()`
`boolean` | `isESX()`
`boolean` | `isGSX()`
`boolean` | `isOff()`
`boolean` | `isOn()`
`boolean` | `isStuck()`
`boolean` | `isSuspended()`
`void` | `removeAllSnapshots()`
`void` | `reset()`
`void` | `reset(int mode)`
`void` | `resume()`
`void` | `resume(int mode)`
`void` | `revertToSnapshot()`
`void` | `saveScreenshot(java.lang.String name)`
`void` | `setGuestInfo(java.lang.String key, java.lang.String value)`
`void` | `start()`
`void` | `start(int mode)`
`void` | `stop()`
`void` | `stop(int mode)`
`void` | `suspend()`
`void` | `suspend(int mode)`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXECUTION_STATE_ON

    public static final int EXECUTION_STATE_ON

See Also:
  Constant Field Values

### EXECUTION_STATE_OFF

    public static final int EXECUTION_STATE_OFF

See Also:
  Constant Field Values

### EXECUTION_STATE_SUSPENDED

    public static final int EXECUTION_STATE_SUSPENDED

See Also:
  Constant Field Values

### EXECUTION_STATE_STUCK

    public static final int EXECUTION_STATE_STUCK

See Also:
  Constant Field Values

### EXECUTION_STATE_UNKNOWN

    public static final int EXECUTION_STATE_UNKNOWN

See Also:
  Constant Field Values

### EXECUTION_STATES

    public static final java.lang.String[] EXECUTION_STATES

### POWEROP_MODE_HARD

    public static final int POWEROP_MODE_HARD

See Also:
  Constant Field Values

### POWEROP_MODE_SOFT

    public static final int POWEROP_MODE_SOFT

See Also:
  Constant Field Values

### POWEROP_MODE_TRYSOFT

    public static final int POWEROP_MODE_TRYSOFT

See Also:
  Constant Field Values

### PRODUCT_WS

    public static final int PRODUCT_WS

See Also:
  Constant Field Values

### PRODUCT_GSX

    public static final int PRODUCT_GSX

See Also:
  Constant Field Values

### PRODUCT_ESX

    public static final int PRODUCT_ESX

See Also:
  Constant Field Values

### PRODUCT_SERVER

    public static final int PRODUCT_SERVER

See Also:
  Constant Field Values

### PRODUCT_UNKNOWN

    public static final int PRODUCT_UNKNOWN

See Also:
  Constant Field Values

### GSX

    public static final java.lang.String GSX

See Also:
  Constant Field Values

### ESX

    public static final java.lang.String ESX

See Also:
  Constant Field Values

### SERVER

    public static final java.lang.String SERVER

See Also:
  Constant Field Values

### PRODUCTS

    public static final java.lang.String[] PRODUCTS

### PLATFORM_WINDOWS

    public static final int PLATFORM_WINDOWS

See Also:
  Constant Field Values

### PLATFORM_LINUX

    public static final int PLATFORM_LINUX

See Also:
  Constant Field Values

### PLATFORM_VMNIX

    public static final int PLATFORM_VMNIX

See Also:
  Constant Field Values

### PLATFORM_UNKNOWN

    public static final int PLATFORM_UNKNOWN

See Also:
  Constant Field Values

### PLATFORMS

    public static final java.lang.String[] PLATFORMS

### PRODINFO_PRODUCT

    public static final int PRODINFO_PRODUCT

See Also:
  Constant Field Values

### PRODINFO_PLATFORM

    public static final int PRODINFO_PLATFORM

See Also:
  Constant Field Values

### PRODINFO_BUILD

    public static final int PRODINFO_BUILD

See Also:
  Constant Field Values

### PRODINFO_VERSION_MAJOR

    public static final int PRODINFO_VERSION_MAJOR

See Also:
  Constant Field Values

### PRODINFO_VERSION_MINOR

    public static final int PRODINFO_VERSION_MINOR

See Also:
  Constant Field Values

### PRODINFO_VERSION_REVISION

    public static final int PRODINFO_VERSION_REVISION

See Also:
  Constant Field Values

### PERM_READ

    public static final int PERM_READ

See Also:
  Constant Field Values

### PERM_WRITE

    public static final int PERM_WRITE

See Also:
  Constant Field Values

### PERM_EXECUTE

    public static final int PERM_EXECUTE

See Also:
  Constant Field Values

### LOADED

    public static final boolean LOADED

Constructor Detail

### VM

    public VM()

Method Detail

### connect

    public void connect(ConnectParams params,
                        java.lang.String config,
                        boolean mks)
                 throws VMwareException

  Throws:
    `VMwareException`

### connect

    public void connect(ConnectParams params,
                        java.lang.String config)
                 throws VMwareException

  Throws:
    `VMwareException`

### disconnect

    public void disconnect()

### isConnected

    public boolean isConnected()

### getExecutionState

    public int getExecutionState()
                          throws VMwareException

  Throws:
    `VMwareException`

### getRemoteConnections

    public int getRemoteConnections()
                             throws VMwareException

  Throws:
    `VMwareException`

### getUptime

    public int getUptime()
                  throws VMwareException

  Throws:
    `VMwareException`

### getHeartbeat

    public int getHeartbeat()
                     throws VMwareException

  Throws:
    `VMwareException`

### getToolsLastActive

    public int getToolsLastActive()
                           throws VMwareException

  Throws:
    `VMwareException`

### getRunAsUser

    public java.lang.String getRunAsUser()
                                  throws VMwareException

  Throws:
    `VMwareException`

### getPermissions

    public int getPermissions()
                       throws VMwareException

  Throws:
    `VMwareException`

### getPermissionsString

    public java.lang.String getPermissionsString()

### canRead

    public boolean canRead()

### canWrite

    public boolean canWrite()

### canExecute

    public boolean canExecute()

### getConfig

    public java.lang.String getConfig(java.lang.String key)
                               throws VMwareException

  Throws:
    `VMwareException`

### getResource

    public java.lang.String getResource(java.lang.String key)
                                 throws VMwareException

  Throws:
    `VMwareException`

### getGuestInfo

    public java.lang.String getGuestInfo(java.lang.String key)
                                  throws VMwareException

  Throws:
    `VMwareException`

### setGuestInfo

    public void setGuestInfo(java.lang.String key,
                             java.lang.String value)
                      throws VMwareException

  Throws:
    `VMwareException`

### getProductInfo

    public int getProductInfo(int type)
                       throws VMwareException

  Throws:
    `VMwareException`

### getPid

    public long getPid()
                throws VMwareException

  Throws:
    `VMwareException`

### getId

    public int getId()
              throws VMwareException

  Throws:
    `VMwareException`

### getVersion

    public java.lang.String getVersion()
                                throws VMwareException

  Throws:
    `VMwareException`

### getFullVersion

    public java.lang.String getFullVersion()
                                    throws VMwareException

  Throws:
    `VMwareException`

### getDisplayName

    public java.lang.String getDisplayName()

### getGuestOS

    public java.lang.String getGuestOS()

### getMemSize

    public java.lang.String getMemSize()

### getProductName

    public java.lang.String getProductName()

### getProductPlatform

    public java.lang.String getProductPlatform()

### isOn

    public boolean isOn()

### isOff

    public boolean isOff()

### isSuspended

    public boolean isSuspended()

### isStuck

    public boolean isStuck()

### isESX

    public boolean isESX()

### isGSX

    public boolean isGSX()

### start

    public void start(int mode)
               throws VMwareException

  Throws:
    `VMwareException`

### start

    public void start()
               throws VMwareException

  Throws:
    `VMwareException`

### stop

    public void stop(int mode)
              throws VMwareException

  Throws:
    `VMwareException`

### stop

    public void stop()
              throws VMwareException

  Throws:
    `VMwareException`

### reset

    public void reset(int mode)
               throws VMwareException

  Throws:
    `VMwareException`

### reset

    public void reset()
               throws VMwareException

  Throws:
    `VMwareException`

### suspend

    public void suspend(int mode)
                 throws VMwareException

  Throws:
    `VMwareException`

### suspend

    public void suspend()
                 throws VMwareException

  Throws:
    `VMwareException`

### resume

    public void resume(int mode)
                throws VMwareException

  Throws:
    `VMwareException`

### resume

    public void resume()
                throws VMwareException

  Throws:
    `VMwareException`

### createSnapshot

    public void createSnapshot(java.lang.String name,
                               java.lang.String description,
                               boolean quiesce,
                               boolean memory)
                        throws VMwareException

  Throws:
    `VMwareException`

### revertToSnapshot

    public void revertToSnapshot()
                          throws VMwareException

  Throws:
    `VMwareException`

### removeAllSnapshots

    public void removeAllSnapshots()
                            throws VMwareException

  Throws:
    `VMwareException`

### hasSnapshot

    public boolean hasSnapshot()
                        throws VMwareException

  Throws:
    `VMwareException`

### saveScreenshot

    public void saveScreenshot(java.lang.String name)
                        throws VMwareException

  Throws:
    `VMwareException`

### deviceConnect

    public void deviceConnect(java.lang.String device)
                       throws VMwareException

  Throws:
    `VMwareException`

### deviceDisconnect

    public void deviceDisconnect(java.lang.String device)
                          throws VMwareException

  Throws:
    `VMwareException`

### deviceIsConnected

    public boolean deviceIsConnected(java.lang.String device)
                              throws VMwareException

  Throws:
    `VMwareException`

### dispose

    public void dispose()

### finalize

    protected void finalize()

  Overrides:
    `finalize` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.